| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csFogMath Class Reference

Fog math utilities. More...

`#include <cstool/fogmath.h>`

List of all members.

## Static Public Member Functions
static float | DistanceForOpacity (float density, float opacity)
| Inverse of OpacityAtDistance.
static float | OpacityAtDistance (float density, float dist)
| Compute fog opacity at a given distance.
static float | Ramp (float depth)
| Calculates fog density for a certain depth in the range [0.

## Detailed Description

Fog math utilities.

Definition at line 27 of file fogmath.h.

## Member Function Documentation

static float csFogMath::DistanceForOpacity | ( | float | density,
|  | float | opacity |
| ) |  |  | `[inline, static]`

Inverse of OpacityAtDistance.

Definition at line 46 of file fogmath.h.

static float csFogMath::OpacityAtDistance | ( | float | density,
|  | float | dist |
| ) |  |  | `[inline, static]`

Compute fog opacity at a given distance.

Definition at line 41 of file fogmath.h.

References Ramp().

static float csFogMath::Ramp | ( | float | depth | ) | `[inline, static]`

Calculates fog density for a certain depth in the range [0.

.1]

Definition at line 33 of file fogmath.h.

Referenced by OpacityAtDistance().

The documentation for this class was generated from the following file:

- cstool/fogmath.h